> For the complete documentation index, see [llms.txt](https://docs.commercelayer.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.commercelayer.io/core-api-reference/fixed_price_promotions.md).

# Fixed price promotions

The fixed price promotion object and the allowed CRUD operations on the related resource endpoint

Commerce Layer provides a promotional engine built on top of two main resources: [promotions](/core-api-reference/promotions.md) and [promotion rules](/core-api-reference/promotion_rules.md).

When triggered, fixed price promotions are responsible for adding a discount to the orders involved. The related discount amount is computed by imposing a fixed price for the SKUs matching the associated list.

{% hint style="info" %}
In order for a fixed price promotion to apply to [bundles](/core-api-reference/bundles.md), the resources must share the same [SKU list](/core-api-reference/sku_lists.md) (in this case, there is no SKUs partial matching).
{% endhint %}

## Application scope

Fixed price promotions are defined by currency code and can be restricted to a specific active market (in which case the currency code is inherited by the market's price list). Within the time window given by their activation and expiration dates, fixed price promotions that have not reached their total usage limit are considered active. If no promotion rule is associated with an active fixed price promotion, the related discount is applied to:

* All the orders in the specified currency, if the promotion is not restricted to a specific market.
* All the orders of the market in scope, if the promotion is attached to a market.

Otherwise, if one or more promotion rules are defined, the promotion is triggered only when it matches all of them.

{% hint style="info" %}
Multiple fixed price promotions can be applied to the same order, even concurrently with other promotion types (based on their [priority](/core-api-reference/promotions.md#priority-and-order-of-application) and up to the involved items amount [saturation](/core-api-reference/promotions.md#discount-distribution)), as long as you don't reach the maximum number of active promotions allowed for your organization.
{% endhint %}

## Discount calculation and distribution

The total discount due to fixed price promotions is calculated and distributed on the matching line items of type `skus` or `bundles` belonging to the associated SKU list, according to the promotion logic.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.commercelayer.io/core-api-reference/fixed_price_promotions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
